Bug 492503 - Integrate "mod_revocator" as a runtime dependency for RA and TPS
Integrate "mod_revocator" as a runtime dependency for RA and TPS
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Fortitude (Show other bugs)
1.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788 493122
  Show dependency treegraph
 
Reported: 2009-03-26 22:09 EDT by Matthew Harmsen
Modified: 2015-01-04 18:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mod_revocator integration (13.14 KB, patch)
2009-03-28 23:33 EDT, Matthew Harmsen
no flags Details | Diff
mod_revocator integration (specfiles) (5.45 KB, patch)
2009-03-28 23:33 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Matthew Harmsen 2009-03-26 22:09:28 EDT
Add "mod_revocator" to the TPS "Requires:" statement.
Comment 1 Matthew Harmsen 2009-03-27 13:01:04 EDT
and to the RA "Requires:" statement.

Also, follow Wiki configuration instructions located at http://directory.fedoraproject.org/wiki/Mod_revocator to configure mod_revocator by default out-of-the-box for both subsystems.
Comment 2 Matthew Harmsen 2009-03-28 23:33:15 EDT
Created attachment 337139 [details]
mod_revocator integration
Comment 3 Matthew Harmsen 2009-03-28 23:33:47 EDT
Created attachment 337140 [details]
mod_revocator integration (specfiles)
Comment 5 Jack Magne 2009-03-28 23:46:38 EDT
Attachments (id=337139, id = 337140) +jmagne
Comment 7 Matthew Harmsen 2009-03-29 00:02:45 EDT
cd pki

% svn status
M      dogtag/setup/pki-setup.spec
M      dogtag/ra/pki-ra.spec
M      dogtag/tps/pki-tps.spec
M      base/setup/pkicreate
M      base/ra/apache/conf/httpd.conf
A      base/ra/apache/conf/revocator.conf
M      base/ra/lib/perl/PKI/RA/DonePanel.pm
M      base/tps/Makefile.in
M      base/tps/lib/perl/PKI/TPS/DonePanel.pm
M      base/tps/lib/perl/PKI/TPS/DRMInfoPanel.pm
M      base/tps/apache/conf/httpd.conf
A      base/tps/apache/conf/revocator.conf
M      base/tps/Makefile.am

% svn commit
Sending        base/ra/apache/conf/httpd.conf
Adding         base/ra/apache/conf/revocator.conf
Sending        base/ra/lib/perl/PKI/RA/DonePanel.pm
Sending        base/setup/pkicreate
Sending        base/tps/Makefile.am
Sending        base/tps/Makefile.in
Sending        base/tps/apache/conf/httpd.conf
Adding         base/tps/apache/conf/revocator.conf
Sending        base/tps/lib/perl/PKI/TPS/DRMInfoPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/DonePanel.pm
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/setup/pki-setup.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data .............
Committed revision 348.
Comment 11 Jenny Galipeau 2009-06-04 14:01:27 EDT
Verified:

Resolving Dependencies
--> Running transaction check
---> Package pki-ra.noarch 0:8.0.0-18.beta set to be updated
--> Processing Dependency: mod_revocator >= 1.0.2 for package: pki-ra
--> Running transaction check
---> Package mod_revocator.x86_64 0:1.0.2-1.el5pki set to be updated
--> Finished Dependency Resolution


Resolving Dependencies
--> Running transaction check
---> Package pki-tps.x86_64 0:8.0.0-20.beta set to be updated
--> Processing Dependency: mod_revocator >= 1.0.2 for package: pki-tps
--> Running transaction check
---> Package mod_revocator.x86_64 0:1.0.2-1.el5pki set to be updated
--> Finished Dependency Resolution

Note You need to log in before you can comment on or make changes to this bug.